Transfer

Angular Bootstrap 5 Transfer plugin

Transfer component allows you to transfer the data between two columns.

Transfer plugin built with the latest Bootstrap 5, Angular and Material Design. Transfer data between two columns. Supports disabled items, one way transfer, pagination, and more.

Note: Read the API tab to find all available options and advanced customization


Basic example

To create basic example just add `mdb-transfer` container

        
            
              <mdb-transfer [dataSource]="dataSource"></mdb-transfer>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbTransferData } from 'mdb-angular-transfer/src/public-api';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                constructor() {}
              
                dataSource: Array<MdbTransferData> = [
                  { data: 'Lorem ipsum' },
                  { data: 'Something special' },
                  { data: 'John Wick' },
                  { data: 'Poland' },
                  { data: 'Germany' },
                  { data: 'USA' },
                  { data: 'China' },
                  { data: 'Madagascar' },
                  { data: 'Argentina' },
                ];
              }
            
        
    

Disabled items

To make some of elements unable to select just add 'disabled: true' property to proper item.

        
            
            <mdb-transfer [dataSource]="dataSource" [dataTarget]="dataTarget"></mdb-transfer>
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbTransferData } from 'mdb-angular-transfer/src/public-api';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              constructor() {}
            
              dataSource: Array<MdbTransferData> = [
                { data: 'Lorem ipsum' },
                { data: 'Something special', disabled: true },
                { data: 'John Wick', disabled: true },
                { data: 'Poland' },
                { data: 'Germany' },
                { data: 'USA' },
                { data: 'China' },
                { data: 'Madagascar', disabled: true },
                { data: 'Argentina' },
              ];
            
              dataTarget: Array<MdbTransferData> = [
                { data: 'Russia', disabled: true },
                { data: 'Australia' },
                { data: 'Hungary', disabled: true },
                { data: 'France' },
              ];
            }
            
        
    

Checked items

By adding property 'checked: true' to item during initialization you can make element mark.

        
            
            <mdb-transfer [dataSource]="dataSource" [dataTarget]="dataTarget"></mdb-transfer>
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbTransferData } from 'mdb-angular-transfer/src/public-api';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              constructor() {}
            
              dataSource: Array<MdbTransferData> = [
                { data: 'Lorem ipsum', checked: true },
                { data: 'Something special', checked: true },
                { data: 'John Wick', checked: true },
                { data: 'Poland' },
                { data: 'Germany' },
                { data: 'USA', checked: true },
                { data: 'China' },
                { data: 'Madagascar' },
                { data: 'Argentina' },
              ];
            
              dataTarget: Array<MdbTransferData> = [
                { data: 'Russia', checked: true },
                { data: 'Australia', checked: true },
                { data: 'Hungary' },
                { data: 'France' },
              ];
            }
            
        
    

One way

By adding '[oneWay]="true"' you can set your component to transfer data only to target table.

        
            
            <mdb-transfer [dataSource]="dataSource" [dataTarget]="dataTarget" [oneWay]="true"></mdb-transfer>
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbTransferData } from 'mdb-angular-transfer/src/public-api';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              constructor() {}
            
              dataSource: Array<MdbTransferData> = [
                { data: 'Lorem ipsum', checked: true },
                { data: 'Something special', checked: true },
                { data: 'John Wick', checked: true },
                { data: 'Poland' },
                { data: 'Germany' },
                { data: 'USA', checked: true },
                { data: 'China' },
                { data: 'Madagascar' },
                { data: 'Argentina' },
              ];
            
              dataTarget: Array<MdbTransferData> = [
                { data: 'Russia', checked: true },
                { data: 'Australia', checked: true },
                { data: 'Hungary' },
                { data: 'France' },
              ];
            }
            
        
    

Pagination

By adding '[pagination]="true"' you can set pagination on transfer component.

        
            
          <mdb-transfer [dataSource]="dataSource" [dataTarget]="dataTarget" [pagination]="true"></mdb-transfer>
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbTransferData } from 'mdb-angular-transfer/src/public-api';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            constructor() {}
          
            dataSource: Array<MdbTransferData> = [
              { data: 'Lorem ipsum', checked: true },
              { data: 'Something special', checked: true },
              { data: 'John Wick', checked: true },
              { data: 'Poland' },
              { data: 'Germany', disabled: true },
              { data: 'USA', checked: true },
              { data: 'China' },
              { data: 'Madagascar' },
              { data: 'Argentina' },
            ];
          
            dataTarget: Array<MdbTransferData> = [
              { data: 'Russia', checked: true },
              { data: 'Australia', checked: true },
              { data: 'Hungary' },
              { data: 'France' },
            ];
          }
          
        
    

Pagination with custom quantity

Furthermore, if you want to set custom number of elements per page then just use 'elementsPerPage' input.

        
            
            <mdb-transfer 
              [dataSource]="dataSource"
              [dataTarget]="dataTarget"
              [pagination]="true"
              [elementsPerPage]=7
            ></mdb-transfer>
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbTransferData } from 'mdb-angular-transfer/src/public-api';
  
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              constructor() {}
            
              dataSource: Array<MdbTransferData> = [
                { data: 'Lorem ipsum', checked: true },
                { data: 'Something special', checked: true },
                { data: 'John Wick', checked: true },
                { data: 'Poland' },
                { data: 'Germany', disabled: true },
                { data: 'USA', checked: true },
                { data: 'China' },
                { data: 'Madagascar' },
                { data: 'Argentina' },
              ];
            
              dataTarget: Array<MdbTransferData> = [
                { data: 'Russia', checked: true },
                { data: 'Australia', checked: true },
                { data: 'Hungary' },
                { data: 'France' },
              ];
            }
            
        
    


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Transfer - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/transfer
     
        
    

Import

        
            
        import { MdbTransferModule } from 'mdb-angular-transfer';
        …
        @NgModule ({
          ...
          imports: [MdbTransferModule],
          ...
        })
        
        
    
        
            
        @import 'mdb-angular-transfer/scss/transfer.scss';
      
        
    

Inputs

Name Type Default Description
dataTarget Array [] Add data to target table
dataSource Array [] Add data to source table
elementsPerPage Number 5 Works only with 'pagination:true'. Set number of items per page
oneWay Boolean false Allows you to set a way of sending data between tables
pagination Boolean false Add pagination to your transfer component
search Boolean false Add search box to trnsfer component

Outputs

Name Type Description
itemSearch EventEmitter<void> Emitted after you search some items in search box.
itemSelect EventEmitter<void> Emitted after you select some item.
listChange EventEmitter<void> Emitted after the data changes.
        
            
            <mdb-transfer
            [dataSource]="dataSource"
            (listChange)="onChangeEvent()"
          ></mdb-transfer>                                       
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbTransferData } from 'mdb-angular-transfer';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              dataSource: Array<MdbTransferData> = [
                { data: 'Lorem ipsum' },
                { data: 'Something special' },
                { data: 'John Wick' },
                { data: 'Poland' },
                { data: 'Germany' },
                { data: 'USA' },
                { data: 'China' },
                { data: 'Madagascar' },
                { data: 'Argentina' },
              ];
            
              onChangeEvent(): void {
                console.log('transfer change');
              }
            }                                      
            
        
    

Advanced types

MdbTransferData

        
            
            interface MdbTransferData {
              data: string;
              id?: string;
              checked?: boolean;
              disabled?: boolean;
            }

Transfer

Vue Bootstrap 5 Transfer plugin

Transfer component allows you to transfer the data between two columns.

Transfer plugin built with the latest Bootstrap 5 and Vue 3. Transfer data between two columns. Supports disabled items, one way transfer, pagination, and more.

Note: Read the API tab to find all available options and advanced customization


Basic example

To create basic example just use MDBTransfer component

        
            
            <template>
              <MDBTransfer
                :dataSource="[
                  { data: 'Lorem ipsum' },
                  { data: 'Something special' },
                  { data: 'John Wick' },
                  { data: 'Poland' },
                  { data: 'Germany' },
                  { data: 'USA' },
                  { data: 'China' },
                  { data: 'Madagascar' },
                  { data: 'Argentina' },
                ]"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBTransfer } from "mdb-vue-transfer";
              export default {
                components: {
                  MDBTransfer
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTransfer } from "mdb-vue-transfer";
            </script>
          
        
    

Disabled items

To make some of elements unable to select just add 'disabled: true property to proper item.

        
            
            <template>
              <MDBTransfer
                  :dataSource="[
                    { data: 'Lorem ipsum' },
                    { data: 'Something special', disabled: true },
                    { data: 'John Wick', disabled: true },
                    { data: 'Poland' },
                    { data: 'Germany' },
                    { data: 'USA' },
                    { data: 'China' },
                    { data: 'Madagascar', disabled: true },
                    { data: 'Argentina' },
                  ]"
                  :dataTarget="[
                    { data: 'Russia', disabled: true },
                    { data: 'Australia' },
                    { data: 'Hungary', disabled: true },
                    { data: 'France' },
                  ]"
                />
            </template>
          
        
    
        
            
            <script>
              import { MDBTransfer } from "mdb-vue-transfer";
              export default {
                components: {
                  MDBTransfer
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTransfer } from "mdb-vue-transfer";
            </script>
          
        
    

Checked items

By adding property 'checked: true' to item during initialization you can make element mark.

        
            
            <template>
              <MDBTransfer
                :dataSource="[
                  { data: 'Lorem ipsum' },
                  { data: 'Something special' },
                  { data: 'John Wick' },
                  { data: 'Poland' },
                  { data: 'Germany' },
                  { data: 'USA' },
                  { data: 'China' },
                  { data: 'Madagascar' },
                  { data: 'Argentina' },
                ]"
                :dataTarget="[
                  { data: 'Russia', checked: true },
                  { data: 'Australia', checked: true },
                  { data: 'Hungary' },
                  { data: 'France' },
                ]"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBTransfer } from "mdb-vue-transfer";
              export default {
                components: {
                  MDBTransfer
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTransfer } from "mdb-vue-transfer";
            </script>
          
        
    

One way

By adding oneWay property to MDBTransfer you can set your component to transfer data only to target table.

        
            
            <template>
              <MDBTransfer
                oneWay
                :dataSource="[
                  { data: 'Lorem ipsum', checked: true },
                  { data: 'Something special', checked: true },
                  { data: 'John Wick', checked: true },
                  { data: 'Poland' },
                  { data: 'Germany' },
                  { data: 'USA', checked: true },
                  { data: 'China' },
                  { data: 'Madagascar' },
                  { data: 'Argentina' },
                ]"
                :dataTarget="[
                  { data: 'Russia', checked: true },
                  { data: 'Australia', checked: true },
                  { data: 'Hungary' },
                  { data: 'France' },
                ]"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBTransfer } from "mdb-vue-transfer";
              export default {
                components: {
                  MDBTransfer
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTransfer } from "mdb-vue-transfer";
            </script>
          
        
    

Pagination

By adding pagination property you can set pagination on transfer component.

        
            
            <template>
              <MDBTransfer
                pagination
                :dataSource="[
                  { data: 'Lorem ipsum', checked: true },
                  { data: 'Something special', checked: true },
                  { data: 'John Wick', checked: true },
                  { data: 'Poland' },
                  { data: 'Germany', disabled: true },
                  { data: 'USA', checked: true },
                  { data: 'China' },
                  { data: 'Madagascar' },
                  { data: 'Argentina' },
                ]"
                :dataTarget="[
                  { data: 'Russia', checked: true },
                  { data: 'Australia', checked: true },
                  { data: 'Hungary' },
                  { data: 'France' },
                ]"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBTransfer } from "mdb-vue-transfer";
              export default {
                components: {
                  MDBTransfer
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTransfer } from "mdb-vue-transfer";
            </script>
          
        
    

Pagination with custom quantity

Furthermore, if you want to set custom number of elements per page then just use elementsPerPage property.

        
            
            <template>
              <MDBTransfer
                pagination
                :elementsPerPage="7"
                :dataSource="[
                  { data: 'Lorem ipsum', checked: true },
                  { data: 'Something special', checked: true },
                  { data: 'John Wick', checked: true },
                  { data: 'Poland' },
                  { data: 'Germany', disabled: true },
                  { data: 'USA', checked: true },
                  { data: 'China' },
                  { data: 'Madagascar' },
                  { data: 'Argentina' },
                ]"
                :dataTarget="[
                  { data: 'Russia', checked: true },
                  { data: 'Australia', checked: true },
                  { data: 'Hungary' },
                  { data: 'France' },
                ]"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBTransfer } from "mdb-vue-transfer";
              export default {
                components: {
                  MDBTransfer
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTransfer } from "mdb-vue-transfer";
            </script>
          
        
    


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Transfer - API


Import

        
            
          <script>
            import { MDBTransfer } from "mdb-vue-transfer";
          </script>
        
        
    

Properties

Name Type Default Description
dataTarget Array '[]' Add data to target table
dataSource Array '[]' Add data to source table
elementsPerPage Number '5' Work only with 'pagination:true'. Set number of items per page
oneWay Boolean 'false' Allows you to set a way of sending data between tables
pagination Boolean 'false' Add pagination to your transfer component
search Boolean 'false' Add search box to transfer component
selectAll Boolean 'true' Add select all checkbox to component
tag String 'div' Sets wrapper tag element
titleTarget String 'Target' Changes title of target table
titleSource String 'Source' Changes title of source table
toTargetArrow String '' Changes text of right arrow
toSourceArrow String '' Changes test of left arrow

Methods

Name Description
getTarget Returns current target array.
getSource Returns current source array.
        
            
        <template>
          <MDBTransfer
            ref="transferRef"
            :dataSource="[
              { data: 'Poland' },
              { data: 'Germany' },
              { data: 'USA' },
              { data: 'China' },
              { data: 'Madagascar' },
              { data: 'Argentina' },
            ]"
          />
        </template>
        
        
    
        
            
        <script>
          import { MDBTransfer } from "mdb-vue-transfer";
          import { onMounted, ref } from "vue";
          
          export default {
            components: {
              MDBTransfer,
            },
            setup() {
              const transferRef = ref(null);
          
              const source = () => console.log(transferRef.value?.getSource());
              const target = () => console.log(transferRef.value?.getTarget());
          
              onMounted(() => {
                source();
                target();
              });
          
              return {
                transferRef,
              };
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBTransfer } from "mdb-vue-transfer";
          import { onMounted, ref } from "vue";
          
          const transferRef = ref<InstanceType<typeof MDBTransfer> | null>(null);
          
          const source = () => console.log(transferRef.value?.getSource());
          const target = () => console.log(transferRef.value?.getTarget());
          
          onMounted(() => {
            source();
            target();
          });
        </script>
        
        
    

Events

Name Description
onChange This event fires immediately when the data changes.
onSearch This event fires immediately when you search some items in search box.
onSelect This event fires immediately when you select some item.

For example, to listen on file change add an event

        
            
          <template>
            <MDBTransfer @onChange="handleChange" />
          </template>

Transfer

React 5 Transfer plugin

Transfer component allows you to transfer the data between two columns.

Transfer plugin built with the latest Bootstrap 5. Transfer data between two columns. Supports disabled items, one way transfer, pagination, and more.

Note: Read the API tab to find all available options and advanced customization


Basic example

        
            
            import React from 'react';
            import { MDBTransfer } from 'mdb-react-transfer';
    
            export default function App() {
              return (
                <MDBTransfer
                  dataSource={[
                    {
                      text: 'Lorem ipsum',
                    },
                    {
                      text: 'Something special',
                    },
                    {
                      text: 'John Wick',
                    },
                    {
                      text: 'Poland',
                    },
                    {
                      text: 'Germany',
                    },
                    {
                      text: 'USA',
                    },
                    {
                      text: 'China',
                    },
                    {
                      text: 'Madagascar',
                    },
                    {
                      text: 'Argentina',
                    },
                  ]}
                />
              );
            }
          
        
    

Disabled items

To make some of elements unable to select just add 'disabled: true' property to proper item.

        
            
            import React from 'react';
            import { MDBTransfer } from 'mdb-react-transfer';
    
            export default function App() {
              return (
                <MDBTransfer
                  dataSource={[
                    {
                      text: 'Lorem ipsum',
                    },
                    {
                      text: 'Something special',
                      disabled: true,
                    },
                    {
                      text: 'John Wick',
                      disabled: true,
                    },
                    {
                      text: 'Poland',
                    },
                    {
                      text: 'Germany',
                    },
                    {
                      text: 'USA',
                    },
                    {
                      text: 'China',
                    },
                    {
                      text: 'Madagascar',
                      disabled: true,
                    },
                    {
                      text: 'Argentina',
                    },
                  ]}
                  dataTarget={[
                    {
                      text: 'Russia',
                      disabled: true,
                    },
                    {
                      text: 'Australia',
                    },
                    {
                      text: 'Hungary',
                      disabled: true,
                    },
                    {
                      text: 'France',
                    },
                  ]}
                />
              );
            }
          
        
    

Checked items

By adding property 'checked: true' to item during initialization you can make element checked.

        
            
            import React from 'react';
            import { MDBTransfer } from 'mdb-react-transfer';
    
            export default function App() {
              return (
                <MDBTransfer
                  dataSource={[
                    {
                      text: 'Lorem ipsum',
                      checked: true,
                    },
                    {
                      text: 'Something special',
                      checked: true,
                    },
                    {
                      text: 'John Wick',
                      checked: true,
                    },
                    {
                      text: 'Poland',
                    },
                    {
                      text: 'Germany',
                    },
                    {
                      text: 'USA',
                      checked: true,
                    },
                    {
                      text: 'China',
                    },
                    {
                      text: 'Madagascar',
                    },
                    {
                      text: 'Argentina',
                    },
                  ]}
                  dataTarget={[
                    {
                      text: 'Russia',
                      checked: true,
                    },
                    {
                      text: 'Australia',
                      checked: true,
                    },
                    {
                      text: 'Hungary',
                    },
                    {
                      text: 'France',
                    },
                  ]}
                />
              );
            }
          
        
    

One way

By adding oneWay property you can set your component to transfer data only to target table.

        
            
            import React from 'react';
            import { MDBTransfer } from 'mdb-react-transfer';
    
            export default function App() {
              return (
                <MDBTransfer
                  dataSource={[
                    {
                      text: 'Lorem ipsum',
                      checked: true,
                    },
                    {
                      text: 'Something special',
                      checked: true,
                    },
                    {
                      text: 'John Wick',
                      checked: true,
                    },
                    {
                      text: 'Poland',
                    },
                    {
                      text: 'Germany',
                    },
                    {
                      text: 'USA',
                      checked: true,
                    },
                    {
                      text: 'China',
                    },
                    {
                      text: 'Madagascar',
                    },
                    {
                      text: 'Argentina',
                    },
                  ]}
                  dataTarget={[
                    {
                      text: 'Russia',
                      checked: true,
                    },
                    {
                      text: 'Australia',
                      checked: true,
                    },
                    {
                      text: 'Hungary',
                    },
                    {
                      text: 'France',
                    },
                  ]}
                  oneWay
                />
              );
            }
          
        
    

Pagination

By adding pagination property you can set pagination on transfer component.

        
            
            import React from 'react';
            import { MDBTransfer } from 'mdb-react-transfer';

            export default function App() {
              return (
                <MDBTransfer
                  dataSource={[
                    {
                      text: 'Lorem ipsum',
                      checked: true,
                    },
                    {
                      text: 'Something special',
                      checked: true,
                    },
                    {
                      text: 'John Wick',
                      checked: true,
                    },
                    {
                      text: 'Poland',
                    },
                    {
                      text: 'Germany',
                      disabled: true,
                    },
                    {
                      text: 'USA',
                      checked: true,
                    },
                    {
                      text: 'China',
                    },
                    {
                      text: 'Madagascar',
                    },
                    {
                      text: 'Argentina',
                    },
                  ]}
                  dataTarget={[
                    {
                      text: 'Russia',
                      checked: true,
                    },
                    {
                      text: 'Australia',
                      checked: true,
                    },
                    {
                      text: 'Hungary',
                    },
                    {
                      text: 'France',
                    },
                  ]}
                  pagination
                />
              );
            }
          
        
    

Pagination with custom quantity

Furthermore, if you want to set custom number of elements per page then just use elementsPerPage property.

        
            
            import React from 'react';
            import { MDBTransfer } from 'mdb-react-transfer';

            export default function App() {
              return (
                <MDBTransfer
                  dataSource={[
                    {
                      text: 'Lorem ipsum',
                      checked: true,
                    },
                    {
                      text: 'Something special',
                      checked: true,
                    },
                    {
                      text: 'John Wick',
                      checked: true,
                    },
                    {
                      text: 'Poland',
                    },
                    {
                      text: 'Germany',
                      disabled: true,
                    },
                    {
                      text: 'USA',
                      checked: true,
                    },
                    {
                      text: 'China',
                    },
                    {
                      text: 'Madagascar',
                    },
                    {
                      text: 'Argentina',
                    },
                  ]}
                  dataTarget={[
                    {
                      text: 'Russia',
                      checked: true,
                    },
                    {
                      text: 'Australia',
                      checked: true,
                    },
                    {
                      text: 'Hungary',
                    },
                    {
                      text: 'France',
                    },
                  ]}
                  pagination
                  elementsPerPage={7}
                />
              );
            }
          
        
    


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Transfer - API


Import

        
            
            import { MDBTransfer } from 'mdb-react-transfer';
          
        
    

Properties

MDBTransfer

Name Type Default Description Example
className string '' Adds a custom class to the MDBTransfer <MDBTransfer className="class" />
dataTarget DatasetType[] [] Adds a data to the target table <MDBTransfer dataTarget={{ text: 'Lorem ipsum', checked: true, disabled: false }} />
dataSource DatasetType[] [] Adds a data to the source table <MDBTransfer dataSource={{ text: 'Lorem ipsum', checked: true, disabled: false }} />
elementsPerPage number 5 Works only with a pagination property. Set number of items per page <MDBTransfer elementsPerPage={7} />
oneWay boolean false Allows you to set a way of sending data between tables <MDBTransfer oneWay />
pagination boolean false Adds a pagination to your transfer component <MDBTransfer pagination />
search boolean false Adds a search box to the transfer component <MDBTransfer search />
selectAll boolean true Add select all checkbox to component <MDBTransfer selectAll={false} />
titleTarget string "Target" Changes a title of the target table <MDBTransfer titleTarget='Target title example' />
titleSource string "titleSource" Changes a title of the source table <MDBTransfer titleSource='Source title example' />
targetArrowText string '' Changes a text of the right arrow <MDBTransfer targetArrowText='Transfer to the target' />
sourceArrowText string '' Changes a text of the left arrow <MDBTransfer sourceArrowText='Transfer to the source' />

Advanced types

DatasetType

        
                  
              interface DatasetType {
                text: string | React.ComponentProps<any>;
                disabled?: boolean;
                checked?: boolean;
              }                
            
        
    

Events

MDBTransfer

Name Type Description
getTargetItems (items: DatasetType[]) => void This event fires immediately when data in the target table changed
getSourceItems (items: DatasetType[]) => void This event fires immediately when data in the source table changed
onChange (items: DatasetType[]) => any This event fires immediately when data changes
onSelect (item: DatasetType) => item This event fires immediately when you select the items and returns it